   
      SUBROUTINE R_PR_tot_tran(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_PR_tot_tran.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 (N*K)x(N*K) REAL matrix M and return as output the 
C                 (N*K)x(N*K) REAL matrix "TOTAL TRANSPOSE of M"
C
C	########################################################################
C
$	debug
	implicit none
      
      INTEGER N,K
	REAL Matr_input(N*K,N*K), Matr_output(N*K,N*K)

	Matr_output=TRANSPOSE (Matr_input) 

      RETURN
      END